Index: admin/js/jquery/jquery.pageTabs.js
===================================================================
--- admin/js/jquery/jquery.pageTabs.js	(revision 3690)
+++ admin/js/jquery/jquery.pageTabs.js	(revision 3884)
@@ -1,7 +1,9 @@
+/*global jQuery, chainHandler */
+'use strict';
+
 (function($) {
-  'use strict';
 
   $.pageTabs = function(start_tab, opts) {
-    var defaults = {
+    const defaults = {
       containerClass: 'part-tabs',
       partPrefix: 'part-',
@@ -12,7 +14,7 @@
 
     $.pageTabs.options = $.extend({}, defaults, opts);
-    var active_tab = start_tab || '';
-    var hash = $.pageTabs.getLocationHash();
-    var subhash = $.pageTabs.getLocationSubhash();
+    let active_tab = start_tab || '';
+    const hash = $.pageTabs.getLocationHash();
+    const subhash = $.pageTabs.getLocationSubhash();
 
     if (hash !== undefined && hash) {
@@ -25,5 +27,5 @@
     createTabs();
 
-    $('ul li', '.' + $.pageTabs.options.containerClass).click(function(e) {
+    $('ul li', '.' + $.pageTabs.options.containerClass).click(function() {
       if ($(this).hasClass($.pageTabs.options.activeClass)) {
         return;
@@ -34,5 +36,5 @@
       $('.' + $.pageTabs.options.contentClass + '.active').removeClass('active').hide();
 
-      var part_to_activate = $('#' + $.pageTabs.options.partPrefix + getHash($(this).find('a').attr('href')));
+      const part_to_activate = $('#' + $.pageTabs.options.partPrefix + getHash($(this).find('a').attr('href')));
 
       part_to_activate.addClass('active').show();
@@ -45,5 +47,5 @@
     });
 
-    $(window).bind('hashchange onhashchange', function(e) {
+    $(window).bind('hashchange onhashchange', function() {
       $.pageTabs.clickTab($.pageTabs.getLocationHash());
     });
@@ -52,7 +54,7 @@
 
     if (subhash !== undefined) {
-      var elt = document.getElementById(subhash);
+      const elt = document.getElementById(subhash);
       // Tab displayed, now scroll to the sub-part if defined in original document.location (#tab.sub-part)
-      elt.scrollIntoView()
+      elt.scrollIntoView();
       // Give focus to the sub-part if possible
       $('#' + subhash).addClass('focus').focusout(function() {
@@ -65,7 +67,6 @@
   };
 
-  var createTabs = function createTabs() {
-    var lis = [],
-      li_class = '';
+  const createTabs = function createTabs() {
+    let lis = [];
 
     $('.' + $.pageTabs.options.contentClass).each(function() {
@@ -80,6 +81,6 @@
   };
 
-  var getHash = function getHash(href) {
-    var href = href || '';
+  const getHash = function getHash(href) {
+    href = href || '';
 
     return href.replace(/.*#/, '');
@@ -92,5 +93,5 @@
       // try to find anchor in a .multi-part div
       if ($('#' + tab).length == 1) {
-        var div_content = $('#' + tab).parents('.' + $.pageTabs.options.contentClass);
+        const div_content = $('#' + tab).parents('.' + $.pageTabs.options.contentClass);
         if (div_content.length == 1) {
           tab = div_content.attr('id').replace($.pageTabs.options.partPrefix, '');
@@ -110,10 +111,10 @@
   $.pageTabs.getLocationHash = function() {
     // Return the URL hash (without subhash — #hash[.subhash])
-    var h = getHash(document.location.hash).split('.');
+    const h = getHash(document.location.hash).split('.');
     return h[0];
   };
   $.pageTabs.getLocationSubhash = function() {
     // Return the URL subhash if present (without hash — #hash[.subhash])
-    var sh = getHash(document.location.hash).split('.');
+    const sh = getHash(document.location.hash).split('.');
     return sh[1];
   };
@@ -123,7 +124,7 @@
   this.each(function() {
     if (f) {
-      chainHandler(this, 'tabload', f)
+      chainHandler(this, 'tabload', f);
     } else {
-      var h = this.tabload;
+      const h = this.tabload;
       if (h) {
         h.apply(this);
@@ -139,5 +140,5 @@
       chainHandler(this, 'onetabload', f);
     } else {
-      var h = this.onetabload;
+      const h = this.onetabload;
       if (h != null) {
         h.apply(this);
